database_api.list_smt_tokens
since HF23 deprecated
SMT has been abandoned; this RPC method is no longer provided.
Purpose
SMT (스마트 미디어 토큰)를 나열합니다. 파라미터: start:object; limit:int; order:string
start는order에 따라 달라집니다 (아래 참고)limit는 최대 1000입니다.order는 다음 중 하나:by_symbol- 심볼 (symbol) 순by_control_account- 관리 계정 (control account) 순
| start (object) | limit (int) | order (string) | |-------------------|-|-|-|-|-| | {"nai": "@@422838704", "decimals": 0} | 10 | by_symbol | 토큰 10개를, 심볼 순으로 나열합니다 | | "" | 10 | by_control_account | 토큰 10개를, 관리 계정 순으로 나열합니다 | | ["", {"nai": "@@422838704", "decimals": 0}] | 10 | by_control_account | 토큰 10개를, 관리 계정·심볼 순으로 나열합니다 |
함께 보기: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_symbol"
}⚠ 이 메서드는 지원 중단 (deprecated, SMT 시대)되었으며 더 이상 퍼블릭 노드에서 제공되지 않습니다.
Example
Example 1
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_tokens",
"params": {
"start": {
"nai": "@@422838704",
"decimals": 0
},
"limit": 10,
"order": "by_symbol"
},
"id": 1
}'Example 2
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_tokens",
"params": {
"start": "",
"limit": 10,
"order": "by_control_account"
},
"id": 1
}'Example 3
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_tokens",
"params": {
"start": [
"",
{
"nai": "@@422838704",
"decimals": 0
}
],
"limit": 10,
"order": "by_control_account"
},
"id": 1
}'Response
RESPONSE
json
{
"tokens": [
{
"token": {
"id": 0,
"liquid_symbol": {
"nai": "@@422838704",
"decimals": 0
},
"control_account": "alice",
"phase": "setup",
"current_supply": 0,
"total_vesting_fund_smt": 0,
"total_vesting_shares": 0,
"total_vesting_fund_ballast": 0,
"total_vesting_shares_ballast": 0,
"pending_rewarded_vesting_shares": 0,
"pending_rewarded_vesting_smt": 0,
"reward_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"recent_claims": "0",
"last_reward_update": "1970-01-01T00:00:00",
"last_virtual_emission_time": "1970-01-01T00:00:00",
"allow_downvotes": true,
"market_maker": {
"steem_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"token_balance": {
"amount": "0",
"precision": 0,
"nai": "@@422838704"
},
"reserve_ratio": 0
},
"allow_voting": true,
"cashout_window_seconds": 3600,
"reverse_auction_window_seconds": 900,
"vote_regeneration_period_seconds": 432000,
"votes_per_regeneration_period": 50,
"content_constant": "2000000000000",
"percent_curation_rewards": 2500,
"author_reward_curve": "linear",
"curation_reward_curve": "square_root",
"max_supply": 0
}
}
]
}